Is there a way to hide project geometry from model sketch? I am modeling a sheetmetal part where I need to sketch centermaks, part number etc. for laser cutting. I want to use xy planes for symmetry reasons when sketching, but I don't want them to appear in dxf. This is a problem if I create a dxf directly from the model.
Usually I create dxf files from drawing by adding new sheet where I create flat pattern view from the spesific part (excluding machinigs etc, only thermal cut boundaries visible). In the drawing I am allso able to show model sketches and hide unwanted project geometry. Is it possible to include these sketches to dxf?
We just upgraded from 2011 to 2013 and we are having SERIOUS problems with our projected sketch geometry in parts not updating. We have only done this about 1.1 million times over the past four years and now every one of our skeleton models we touch is failing to update and causing a whole mess of delays.
I looked through the Application options for sketching and didn't see anything.
In an assembly document, if you want to project a sketch from one part into another, you go through these steps:
- select the part
- edit the part
- create a 2D sketch
- select the plane
- select project geometry
- select the sketch in the other part
- finish sketch
This creates a reference to the original sketch, so if I move the original sketch the new sketch will also move when I hit Assemble.
I am trying to do the same through the API, so I create a proxy for the original sketch and a proxy for the new sketch. I then use the AddByProjectingEntity method on the new sketch proxy passing the original sketch proxy.
This works for projecting the sketch, but it doesn't create the reference, so if I move the original sketch the new one doesn't move, even if I hit Assemble. How to create this link between the two sketches?
I am creating a view, then a sketch on the top of the view. I should be able to project geometry of the view onto the sketch, for some rason Project Geometry icon is grayed out.
I am designing a vacuum part in Autodesk Inventor, which is essentially a long cuboid shape with various valves and spaces for windows along it's length (see attached pic). Upon finishing the design of this part, a few details need to be changed - one being the fundamental shape of the object. It now needs to be a larger square section attached to a long cuboid section (as I found out the valves on the right hand side of the drawing are around double the size they are in this drawing). Rather than restart the project from scratch, I would like to only modify one of the ends to be extruded out into a square shape, or something like that. My first idea was to use the split command in order to split the faces into what I did and didn't want to change, but upon starting this, I don't think this is the best way.
I'm using Inventor 2012, and experiencing some trouble with certain types of projected geometry that I'm using in a sketch associated with a view in an .IDW file - but only when the view involves a break (or breaks).
I'm generating section views to show the layout of hole details at various axial locations along the part. When placing a section line, I can't "pick up" any appropriate locating geometry from the view. So, after creating the view (using just a vertical section line), I edit the sketch that defines the section line. Project some geometry (the edges of the holes, in the attached example), draw some additional geometry constrained to that, then constrain the section line to that. That works fine; if I move the view around, the section lines stay attached to it. This is what is shown in the attached "before break" picture.
When I apply a break to the drawing, though, the section lines don't follow the changing view. They stay right there, as if the view had not been broken at all. This is what's shown in the attached "after break" picture. Move the view around, and they track with it - but always staying the same "real" distance apart from each other. It is as if that projected geometry were completely ignoring the break.
I observe something similar if I start with an IDW view with one or more breaks, then create a sketch associated with the view. If I project geometry, some of it projects where it should, but other geometry projects elsewhere on the page - as if no breaks were present in the view.
The part I've shown here is something I put together as a simplified example of what I'm observing. The part I'm actually trying to detail is more complicated (many more details), and much longer (so breaks are a requirement to put it on paper).
I'm trying to project an edge of a cylinder in a "detail" view. Here's the process I'm taking. Click the view and pick "create sketch", then I pick "Project Geometry". Then I pick the edges of the cylinder I'd like to project and it only projects one side. I can select the edge, but when I right-click and pick done it won't project it. It appears to me that it's only allowing one edge of the same object to be projected. I've tested other objects and it seems to only do this with cylinders.
I am using projected and sketched geometry (2D sketches) in assembly space to create lines/ points that I intend to use to define planes and axes. The problem I have is that nearly all the geometry I create (lines and points in 2D sketches) is not "selectable" when I try to create planes or axes. I cannot even put a work points "on top of" my sketch points. Why are my sketches not usable in the assembly space? Since the components in my model are just two extruded rings I don't have any linear edges I can select to make this work/ define planes.
When I create a new sketch on any given view and utilize the 'Project Geometry' command, not all geometry will project onto the sketch. It seems random; I've tried multiple times using different orders in which to choose the geometry. Sometimes certain geometry will project, sometimes not.
Have been using Inventor for 6 months or so after being on Solidowrks for many years.
With the settings I have from the start I have been avoiding using adaptivity because it causes more problems than it seems to fix. Just ran into this problem a few minutes ago.
Basic rect angle iron frame, put holes in them for fasteners. Created the cover and constrained it to the frame assembly. Used project geometry to locate all the holes in the frame onto the cover. Use the "Hole" feature and everything is good with the world.
Then changed the side pc of the frame, shortened it by 1.25 inches. Would not update until I deleted the cover and the fasteners. Even then I had to go thru all the constraints I used, edit them back to the number I had used. Once I did all that the frame was the correct size.
I must be missing something serious, it has to be easier than this to use adaptive parts.
I'm wanting to emboss a logo onto a part. Is it possible to project the logo outline? Or is there a better way of getting the logo into inventor? The logo file is a .jpg file.
HP Z400 Workstation Intel Xeon @ 3.33GHz 12.0 GB RAM Windows 7 64-bit Inventor Pro 2014
I am very new to all Autodesk software. I am currently doing a trial on Inventor 2013 and Solidworks 2013 to decide which software is a better fit for my company. I am offsetting a very complex sketch by .002" and I want to delete the original. Clicking every line and radius does not make sense to me.
I can't seem to get inventor to select a given parameter inside a sketch. It keeps giving me an error.
All I want to do is to have inventor Select / Highlight a parameter inside of a sketch so the user can clearly see it in the window. Ive tried heaps of different selection options, I just can't work out what ive done wrong.
Sub GetParameter()Dim TargetName As StringDim oCompDef As PartComponentDefinitionDim oSketch As PlanarSketchDim oConstr As DimensionConstraintDim oParam As ParameterDim oCmdMgr As CommandManagerTargetName = d0 ' parameter nameSet oCmdMgr = ThisApplication.CommandManagerSet oCompDef = ThisApplication.ActiveDocument.ComponentDefinitionFor Each oSketch In oCompDef.Sketches For Each oConstr In oSketch.DimensionConstraints If oConstr.Parameter.Name = TargetName Then Set oParam = oConstr.Parameter oSketch.Edit Call oCmdMgr.DoSelect(oParam) Exit Sub End If NextNextEnd Sub
When i place a rectangle in a sketch i can't select the parameters to be directly linked to size. I must first enter a number, delete the number and can then through the triangle to the parameter list. Is it possible to approach the parameters directly ?
I am not sure exactly why this is a limited feature of Inventor 2011 but when you want to select a sketch to create a boundary patch you have to select each part of the sketch in sequence. It's a pretty laborious task. I am looking to a way to automate this using i logic.
See attached image file. I can't select just the profile sketch to cut extrude. It only selects the whole face (surface). I have this issue on (2) different workstations and on various parts along the way.
I am having an issue with the "select sketch features" selection filter. Specifically, it does not seem to work within the edit-in-place environment. If I am sketching on a part that has been opened discretely, selection functions normally. However, if I am editing within an assembly and I attempt to work in a sketch, face selection takes priority over selecting dimensions or sketch features despite the sketch features filter being active. I have not always had this problem, and it began approximately a month ago. I can't think of anything I might have changed to cause this, but I'm wondering if there's an option somewhere that I accidentally toggled.
I made a complex sketch, and want to extrude.When i want to select the whole sketch, i position the mouse on the upper left of the screen and drag down and right, but no window is created.
And i cannot add segments to the selection, even with pressing SHIFT, because immediately after the first is selected, it is extruded.you see on the picture i attached that some segments (in red) are connected. how can i connect all the sketch together, so when i will select it everything is selected.
With "Select Annotations" I can window select multiple annotations at once. Why can't I window select bodies, features, or face and edges? AutoCAD, NX and Solidworks can do it. Do I have to change a setting somewhere?